@echo off
if "%2" == "..1.15" goto us1
cls
echo -
echo -  To make a printed record, first turn your printer on,
echo -  then toggle  Ctrl+Shft+PrtSc  to send screen output to your printer,
echo -  and then
pause
echo -
echo -  FWKCS(TM) Contents_Signature System, Version 1.15.
echo -  Printed record of FWKCTEST test procedure:
echo =========================================================================
echo -
cls
echo - For use with FWKCS(TM) Contents_Signature System, Version 1.15.
echo - (C)Copyright Frederick W. Kantor 1991. All rights reserved.
echo -
echo - Your use of the FWKCS(TM) Contents_Signature System is at solely your own
echo - risk.  For safety, please have proper backups of your files.
echo -
:us1
echo - FWKCTEST(TM)  primarily to test FWKCS Auxiliary Functions 4 and 5.
echo -
echo - To use this program, have available on your path (or in current directory):
echo -   FWKCS.COM (preferably let FWKCTEST fetch a copy from your path),
echo -   Ben Baker's QSORT, Version 3.20,
echo -   Phil Katz's PKZIP(R), PKUNZIP(R), and ZIP2EXE, Version 1.10,
echo -   McAfee's SCAN (a recent copy),
echo -   IBM/MS DOS ATTRIB and DEBUG, and a version of QBASIC, BASICA,
echo -       BASIC, or GWBASIC, suitable for use on your system.
echo - To see what happened after it finishes running, Vernon Buerg's LIST.
echo -
echo - Usage:  starting in a new subdirectory with d:\path less than 20 characters
echo -         long, with 2 Megabytes free space, with the new current directory
echo -         empty or holding at most FWKCS.COM, FWKCTEST.BAT, and FWKCLEAR.BAT,
echo -     do
echo -         FWKCTEST "<enter>"
echo -
pause
echo -
echo ------------------------------------------------------------------------
echo -
cls
echo - This program runs with echo on, so that you can see how it sets up its
echo - subdirectories and builds its test files.
echo -   To temporarily stop the action, press Ctrl+NumLock.
echo -   To resume, press any alphameric key.
echo -
echo - One set of files is built in an MSG subdirectory. These short MSG\files
echo - contain their filenames. These filenames appear at the location where your
echo - messages to users would appear. To customize a message, you would take out
echo - of that file the line showing the filename, and put in your material.  For
echo - additional customization, see FWKCS115.REF Auxiliary Function 5, option h.
echo - These custom message files are optional. PCBoard @codes are displayed, too.
echo -
echo - Then a series of test files is built, to test many features:
echo -   finding an artificial virus string hidden in a four_layer sandwich of
echo -     subdirectories, all of which contain files with the same name;
echo -   regardless of their names:  finding duplicate or redundant files,
echo -     removing selected files from inside zipfiles, rejecting selected files;
echo -   processing zipfile Authenticity Verification (AV) stamps (if you have not
echo -     registered PKZIP, you may miss 3 tests: purging non_AV files from inside
echo -     AV_zipfiles, not "wiping" AV_file from AV_zipfile, banning an AV_stamp);
echo -   LOOKUP(TM) remote contents_signature searching, detailed or short reply;
echo - and many others.
echo -
pause
echo -
echo ------------------------------------------------------------------------
echo -
cls
echo - On the first pass, you get to watch from the point of view of a user
echo - uploading files to a bulletin board system which uses FWKCS Version 1.15,
echo - but with PCBoard @codes visible. Except for testing the exclusion operation,
echo - which by default deletes x_flagged files, the files which were not accepted
echo - are moved into separate subdirectories. This tests Auxiliary Function 5.
echo -
echo - Then the program sets aside the contents_signatures it has found,
echo - and this time goes through the files in the 4REN subdirectory.
echo - This tests Auxiliary Function 4, which renames files which were not
echo - accepted. In each case, it explains why it renamed a file.
echo -
echo - For further explanation, see Auxiliary Functions 4 and 5 in FWKCS115.REF
echo - (make your \CSA directory your current directory, and let CSAM get the
echo - literature for you...).
echo -
echo - FWKCTEST makes many files and subdirectories -- which FWKCLEAR removes.
echo - These two programs are part of the quality control procedures for the
echo - FWKCS(TM) Contents_Signature System. This quality control is part of the
echo - "spirit" of creating the special contents_signatures used, with their
echo - pair_wise statistical error rate typically less than one part per trillion.
echo -                                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
if "%1" == "/*" goto z1
echo -  To quit, press Ctrl+C, then y
echo -
pause
echo -
echo ------------------------------------------------------------------------
echo -
cls
@echo on
rem test to avoid subdirectory:
echo test > msg\!@!@!@!@!
if not exist msg\!@!@!@!@! goto t01
del msg\!@!@!@!@!
goto q0
:t01
rem  Good! It's not here. Test another...
echo test > ##cellar\!@!@!@!@!
if not exist ##cellar\!@!@!@!@! goto t02
del ##cellar\!@!@!@!@!
goto q0
:t02
rem  Good! It's not here. Test another...
echo test > work\!@!@!@!@!
if not exist work\!@!@!@!@! goto t03
del work\!@!@!@!@!
goto q0
:t03
rem  Good! It's not here. Test another...
echo test > bav\!@!@!@!@!
if not exist bav\!@!@!@!@! goto t04
del bav\!@!@!@!@!
goto q0
:t04
rem  Good! It's not here. Test another...
echo test > enc\!@!@!@!@!
if not exist enc\!@!@!@!@! goto t05
del enc\!@!@!@!@!
goto q0
:t05
rem  Good! It's not here. Test another...
echo test > fzt\!@!@!@!@!
if not exist fzt\!@!@!@!@! goto t06
del fzt\!@!@!@!@!
goto q0
:t06
rem  Good! It's not here. Test another...
echo test > old\!@!@!@!@!
if not exist old\!@!@!@!@! goto t07
del old\!@!@!@!@!
goto q0
:t07
rem  Good! It's not here. Test another...
echo test > potvirus\!@!@!@!@!
if not exist potvirus\!@!@!@!@! goto t08
del potvirus\!@!@!@!@!
goto q0
:t08
rem  Good! It's not here. Test another...
echo test > qsn\!@!@!@!@!
if not exist qsn\!@!@!@!@! goto t09
del qsn\!@!@!@!@!
goto q0
:t09
rem  Good! It's not here. Test another...
echo test > trashold\!@!@!@!@!
if not exist trashold\!@!@!@!@! goto t10
del trashold\!@!@!@!@!
goto q0
:t10
rem  Good! It's not here. Test another...
echo test > ziz\!@!@!@!@!
if not exist ziz\!@!@!@!@! goto t11
del ziz\!@!@!@!@!
goto q0
:t11
rem  Good! It's not here. Test another...
echo test > accepted\!@!@!@!@!
if not exist accepted\!@!@!@!@! goto t12
del accepted\!@!@!@!@!
goto q0
:t12
rem  Good! It's not here. Test another...
echo test > 4ren\!@!@!@!@!
if not exist 4ren\!@!@!@!@! goto t13
del 4ren\!@!@!@!@!
goto q0
:t13
rem  Good! None of those subdirectories is here.
if exist fwkcs.com goto fwk
fwkcs /rd > dscreen
if not exist dscreen goto help0
echo 1 OPEN "DSCREEN" FOR INPUT AS 1:OPEN "RANBAS" FOR OUTPUT AS 2:PRINT #2,"HERE"> GETFWKCS.BAS
echo 2 LINE INPUT #1,A$:IF INSTR(A$,"1.15")=0 THEN GOTO 6>> GETFWKCS.BAS
echo 3 WHILE NOT EOF(1):LINE INPUT #1,A$:WEND>> GETFWKCS.BAS
echo 4 IF INSTR(A$,"FWKCS.COM")=0 THEN GOTO 6>> GETFWKCS.BAS
echo 5 SHELL "COPY "+A$>> GETFWKCS.BAS
echo 6 CLOSE:SYSTEM>> GETFWKCS.BAS
qbasic /run getfwkcs.bas
if exist ranbas goto fbas
gwbasic getfwkcs.bas
if exist ranbas goto fbas
basica getfwkcs.bas
if exist ranbas goto fbas
basic getfwkcs.bas
if exist ranbas goto fbas
goto nbas
:fbas
del dscreen
del ranbas
if not exist fwkcs.com goto help0
echo fetched FWKCS.COM from elsewhere> gotfwkcs.far
:fwk
echo ok to run fwkclear.bat here > okcleanh.ere
md msg
cd msg
echo preface.upl > preface.upl
echo preface.tst > preface.tst
echo ending.upl  > ending.upl
echo ending.tst  > ending.tst
echo first.00 > first.00
echo  last.00 >  last.00
echo first.t0 > first.t0
echo  last.t0 >  last.t0
echo first.01 > first.01
echo  last.01 >  last.01
echo first.03 > first.03
echo  last.03 >  last.03
echo first.04 > first.04
echo  last.04 >  last.04
echo first.05 > first.05
echo  last.05 >  last.05
echo first.06 > first.06
echo  last.06 >  last.06
echo first.07 > first.07
echo  last.07 >  last.07
echo first.t7 > first.t7
echo  last.t7 >  last.t7
echo first.08 > first.08
echo  last.08 >  last.08
echo first.09 > first.09
echo  last.09 >  last.09
echo first.10 > first.10
echo  last.10 >  last.10
echo first.11 > first.11
echo  last.11 >  last.11
echo first.12 > first.12
echo  last.12 >  last.12
echo first.13 > first.13
echo  last.13 >  last.13
echo first.14 > first.14
echo  last.14 >  last.14
echo first.15 > first.15
echo  last.15 >  last.15
echo first.19 > first.19
echo  last.19 >  last.19
echo first.20 > first.20
echo  last.20 >  last.20
echo first.21 > first.21
echo  last.21 >  last.21
echo first.22 > first.22
echo  last.22 >  last.22
echo first.23 > first.23
echo  last.23 >  last.23
cd..
md ##cellar
md work
md bav
md enc
md fzt
md old
md potvirus
md qsn
md trashold
md ziz
md accepted
md 4ren
echo -> zcomb
echo ----- this zipfile comment is for local_use.>> zcomb
echo -> zcom
echo ----- this zipfile comment is for "uploads".>> zcom
fwkcs /revert
fwkcs cslist.ndx /d1
fwkcs cslist.srt /d2
fwkcs cslist1.ndx /d3
fwkcs cslist1.srt /d4
fwkcs a18bc,zcomb;f,##cellar;j,junkb;k0n2,1;o,oust;pwv,virdata; /db
fwkcs b,bav;e,ziz;q,potvirus;f,##cellar; /dc
fwkcs v1,telsysop;t,trashold;a18,,old;n4,1,50,qsn; /dd
fwkcs opwiyj,junk;h,msg;k0ke,enc;kf,fzt;g1,3 /de
fwkcs c,zcom;v,virdata; /df
fwkcs /d
echo      -
echo top layer of pseudovirus_hiding sandwich> file0
md 1
echo layer 2> 1\file0
md 1\1
echo This pSeUdOvIrOidal file might be called file number 0, and> 1\1\file0
echo hidden in a zip in such way that it would be overwritten by>> 1\1\file0
echo another file of the same name unzipped after it.>> 1\1\file0
md 1\1\1
echo layer 4> 1\1\1\file0
pkzip virpath.t file0 -om -p -r
rd 1\1\1
rd 1\1
rd 1
echo "70 53 65 55 64 4F 76 49 72 4F 69"  pSeUdOvIrOi> virdata
echo "46 49 4C 45 36 50 4B 05 06 00 00"  sixinZip>> virdata
echo this is test file number 1> file1
echo And this is test file number 2.> file2
echo Here, for example, is test file number 3...> file3
echo And, next, is test file number 4.> file4
echo Here is yet another example, which might be called test file 5> file5
echo Might this be test file number 6?> file6
echo How about test file number 7?> file7
echo this might be called file 8> file8
echo here is file 9> file9
echo and file 10> file10
echo would you like 11?> file11
echo or perhaps 12?> file12
echo this is a file. is it 13?> file13
echo is this file called 14?> file14
echo aha! a 15> file15
echo this might be 16> file16
echo hooha 17> file17
echo 18 might be called> file18
echo 19 as> file19
echo 20 here> file20
echo this might be 21> file21
echo and 22> file22
echo a 24> file24
echo ho! 25!> file25
echo and 26 into> file26
echo 27> file27
echo hooha? 28> file28
echo and next, 29> file29
echo into 30> file30
echo for 31> file31
echo to make file 32> file32
echo is there to be a file 33?> file33
echo this is file34> file34
echo and 35> file35
echo or 36> file36
echo file 37> file37
pkzip zipexet file27 file34 -o
if exist zipexet.zip goto a0
@echo off
echo -
echo - where is Phil Katz's PKZIP(R)?
goto quit1
:a0
zip2exe zipexet
if exist zipexet.exe goto a1
@echo off
echo -
echo - where is Phil Katz's ZIP2EXE for use with PKZIP(R)?
goto quit1
:a1
copy file27 pipexet.t
pkzip zipexejt -ei -o file28 file35
zip2exe -j zipexejt
copy file28 pipexejt.t
copy file26 pzonlyt.t
pkzip zzonlyt.t file26 file36

rem   Next, pkzip is called to make an AV_stamped zipfile.
rem   If pkzip stops, press a key to continue.
rem   If that happens, FWKCTEST will skip 2 more such calls.

pkzip -! w_in_avt.t file24 file11 file25
if exist w_in_avt.t goto av
echo did not make PKZIP AV_stamp> no_av
:av
echo secret 0> file70
pkzip enc0test.t file70 -sneet -o
md secret
echo secret 1> secret\file71
echo secret 2> secret\file72
echo plain 1> file71
echo plain 2> file72
pkzip enc1test.t file71 file72 -o
pkzip -P enc1test.t secret\file71 -snooze -om
pkzip -P enc1test.t secret\file72 -sftyopl -om
echo secret 3> secret\file73
echo secret 4> secret\file74
echo plain 3> file73
echo plain 4> file74
pkzip enc3test.t file73 file74 -o
pkzip -P enc3test.t secret\file73 -snoze -om
pkzip -P enc3test.t secret\file74 -sfyopl -om
rd secret
echo secret 53> file53
echo plain 54> file54
pkzip encmixt.t file53 -soap -o
pkzip encmixt.t file54 -o
copy file1 okptest.t
pkzip allnewzt.t file2 file3 -o
copy file2 rnztest.t
pkzip 1notnewz.t file1 file13 file14 file15 -o
pkzip redtest.t file1 file3 -o
copy file2 frog1
copy file3 frog2
pkzip duptest.t frog2 frog1 -om
pkzip qsntest.t file1 file2 file4 -o
if exist no_av goto nm0
pkzip -! bavtest.t file5
:nm0
echo nsub1yr.com> @!@
echo e100 33 C9 8A 0E 80 00 BE 81 00 80 3C 20 77 06 46 E2>> @!@
echo e110 F8 E9 23 00 89 F2 80 3C 20 72 03 46 E2 F8 C6 04>> @!@
echo e120 00 B8 02 3D CD 21 72 0F 8B D8 B8 00 57 CD 21 80>> @!@
echo e130 EE 02 B8 01 57 CD 21 B4 4C CD 21>> @!@
echo rcx>> @!@
echo 3b>> @!@
echo w>> @!@
echo q>> @!@
debug < @!@
if exist sub1yr.com goto a2
echo -
echo - i need access to IBM/MS DOS DEBUG.
goto quit1
:a2
pkzip virshel.t file6 -o
pkzip ziztest.t qsntest.t
pkzip fzttest.t file7 -o
echo nfzttest.t> @!@
echo l>> @!@
echo e130 70>> @!@
echo w>> @!@
echo q>> @!@
debug < @!@

rem   this next test is specifically for use with PKZIP 1.10:

pkzip obsdfcnt.av file12
echo nobsdfcnt.av> @!@
echo l>> @!@
echo e13d 20>> @!@
echo w>> @!@
echo q>> @!@
debug < @!@
del @!@

sub1yr file22
sub1yr file22
sub1yr file22
copy file22 ageptest.t
pkzip ageztest.t file22
sub1yr file29
del sub1yr.com
pkzip 1yrlast.t file29 file22
echo 1 open "longcs.t" for output as 1> longcs.bas
echo 2 for i=1 to 513:s$=mid$(str$(i),2)>> longcs.bas
echo 3 s$=string$(8-len(s$),"0")+s$+"    1234">> longcs.bas
echo 4 print #1,s$:next:system>> longcs.bas
qbasic /run longcs.bas
if exist longcs.t goto lcs
gwbasic longcs.bas
if exist longcs.t goto lcs
basica longcs.bas
if exist longcs.t goto lcs
basic longcs.bas
if exist longcs.t goto lcs
:nbas
echo -
echo -  i need access to QBASIC, BASICA, BASIC, or GWBASIC, whichever is
echo -  compatible with your system.
goto quit1
:lcs
del longcs.bas
fwkcs /1 file8 | fwkcs /a7.1x xflref
fwkcs /1 file11 | fwkcs /a7.1w w11ref
fwkcs /1 file37 | fwkcs /a7.1w w37ref
if exist no_av goto nm1
pkzip -! purgetst.t file16 file30 -o
pkzip purgetst.t file17 file31 -o
:nm1
pkzip wipetest.t file11 file18 file32 -o
del file18
del file32
ren file11 file18
ren file37 file32
echo i am not the unpleasant file11 you might have heard of, although i might> file11
echo have a vague recollection that it was somewhere around here recently,>> file11
echo possibly under a different name, or maybe in a different...>> file11
md 0
md 0\1
md 0\1\2
md 0\1\2\3
md 0\1\2\3\4
md 0\1\2\3\4\5
md 0\1\2\3\4\5\6
md 0\1\2\3\4\5\6\7
md 0\1\2\3\4\5\6\7\8
md 0\1\2\3\4\5\6\7\8\9
md 0\1\2\3\4\5\6\7\8\9\A
md 0\1\2\3\4\5\6\7\8\9\A\B
md 0\1\2\3\4\5\6\7\8\9\A\B\C
md 0\1\2\3\4\5\6\7\8\9\A\B\C\D
md 0\1\2\3\4\5\6\7\8\9\A\B\C\D\E
md 0\1\2\3\4\5\6\7\8\9\A\B\C\D\E\F
md 0\1\2\3\4\5\6\7\8\9\A\B\C\D\E\F\etc
copy file18 0\1\2\3\4\5\6\7\8\9\a\b\c\d\e\f\etc
if not exist 0\1\2\3\4\5\6\7\8\9\a\b\c\d\e\f\etc\file18 goto nde
copy file32 0\1\2\3\4\5\6\7\8\9\a\b\c\d\e\f\etc
copy file11 0\1\2\3\4\5\6\7\8\9\a\b\c\d\e\f\etc
pkzip -P wipetest.t 0\1\2\3\4\5\6\7\8\9\a\b\c\d\e\f\etc\file?? -om
goto deep
:nde
echo not enough \path\ length left> too_shal.low
:deep
rd 0\1\2\3\4\5\6\7\8\9\A\B\C\D\E\F\etc
rd 0\1\2\3\4\5\6\7\8\9\A\B\C\D\E\F
rd 0\1\2\3\4\5\6\7\8\9\A\B\C\D\E
rd 0\1\2\3\4\5\6\7\8\9\A\B\C\D
rd 0\1\2\3\4\5\6\7\8\9\A\B\C
rd 0\1\2\3\4\5\6\7\8\9\A\B
rd 0\1\2\3\4\5\6\7\8\9\A
rd 0\1\2\3\4\5\6\7\8\9
rd 0\1\2\3\4\5\6\7\8
rd 0\1\2\3\4\5\6\7
rd 0\1\2\3\4\5\6
rd 0\1\2\3\4\5
rd 0\1\2\3\4
rd 0\1\2\3
rd 0\1\2
rd 0\1
rd 0
if not exist too_shal.low goto deep2
@echo off
echo -
echo - This subdirectory has a d:\path which contains too many characters.
echo -
echo - Make a new subdirectory with d:\path less than 20 characters long,
echo - and run FWKCTEST there.
goto quit1
:deep2
copy file8 xcptest.t
pkzip xcztest.t file19 file20 file8 file21 -o
copy file1 gleep7
copy file3 threek
pkzip whatsit.t threek gleep7
echo 1 open "do_test4.bat" for output as 1> m4.bas
echo 2 print #1,"@echo off":print #1,"rem (C)Copyright Frederick W. Kantor 1991. All rights reserved.">> m4.bas
echo 3 print #1,"if not exist %%1 goto end">> m4.bas
echo 4 print #1,"fwkcs %%1 /t20a4[b]":print #1,"if not exist oust goto end">> m4.bas
echo 5 print #1,"echo -------------------------------------------------------------->> via_oust">> m4.bas
echo 6 print #1,"echo listed for removal from  %%1  via OUST:>> via_oust">> m4.bas
echo 7 print #1,"echo ->> via_oust":print #1,"type oust >> via_oust">> m4.bas
echo 8 print #1,"pkzip %%1 -d @oust":print #1,"fwkcs %%1 /t20a3":print #1,"del oust":print #1,":end">> m4.bas
echo 9 print #1,"echo -------------------------------------------------------------------------------">> m4.bas
echo 10 system>> m4.bas
qbasic /run m4.bas
if exist do_test4.bat goto md4
gwbasic m4.bas
if exist do_test4.bat goto md4
basica m4.bas
if exist do_test4.bat goto md4
basic m4.bas
if exist do_test4.bat goto md4
echo -
echo - trouble making DO_TEST4.BAT
goto quit1
:md4
del m4.bas
echo 1 open "do_test5.bat" for output as 1> m5
echo 2 print #1,"@echo off":print #1,"rem (C)Copyright Frederick W. Kantor 1991. All rights reserved.">> m5
echo 3 print #1,"if not exist %%1 goto end":print #1,"if x%%3 == x goto n1">> m5
echo 4 print #1,"echo %%1 draft> %%3":print #1,":n1":print #1,"fwkcs %%1 %%2 %%3 /t20a5[cdef]">> m5
echo 5 print #1,"echo ------------------------------------------------------------------------------->>uploads.rpt">>m5
echo 6 print #1,"if exist pcbpass.txt echo From PCBPASS.TXT: >>uploads.rpt">> m5
echo 7 print #1,"if exist pcbpass.txt type pcbpass.txt >> uploads.rpt">> m5
echo 8 print #1,"if exist pcbfail.txt echo From PCBFAIL.TXT: >>uploads.rpt">> m5
echo 9 print #1,"if exist pcbfail.txt type pcbfail.txt >> uploads.rpt">> m5
echo 10 print #1,"if x%%3 == x goto n2":print #1,"echo ----------- >>uploads.rpt">> m5
echo 11 print #1,"echo From corresponding (possibly revised) upload_description:>>uploads.rpt">> m5
echo 12 print #1,"type %%3 >> uploads.rpt":print #1,":n2">> m5
echo 13 print #1,"echo -------------------------------------------------------------------------------">> m5
echo 14 print #1,"if exist pcbpass.txt echo From PCBPASS.TXT:">> m5
echo 15 print #1,"if exist pcbpass.txt type pcbpass.txt">> m5
echo 16 print #1,"if exist pcbfail.txt echo From PCBFAIL.TXT:">> m5
echo 17 print #1,"if exist pcbfail.txt type pcbfail.txt":print #1,"if x%%3 == x goto n3">> m5
echo 18 print #1,"echo -----------">> m5
echo 19 print #1,"echo From corresponding (possibly revised) upload_description:">> m5
echo 20 print #1,"type %%3":print #1,"del %%3":print #1,":n3">> m5
echo 21 print #1,"echo -------------------------------------------------------------------------------">> m5
echo 22 print #1,"if exist pcbpass.txt del pcbpass.txt">> m5
echo 23 print #1,"if exist pcbfail.txt del pcbfail.txt":print #1,"if not exist %%1 goto end">> m5
echo 24 print #1,"if x%%2 == x goto end":print #1,"copy %%1 accepted":print #1,"del %%1":print #1,":end":system>> m5
ren m5 m5.bas
qbasic /run m5.bas
if exist do_test5.bat goto md5
gwbasic m5.bas
if exist do_test5.bat goto md5
basica m5.bas
if exist do_test5.bat goto md5
basic m5.bas
if exist do_test5.bat goto md5
echo -
echo - trouble making DO_TEST5.BAT
goto quit1
:md5
del m5.bas
del file??
copy okptest.t    work
copy allnewzt.t   work
copy rnztest.t    work
copy redtest.t    work
copy duptest.t    work
copy 1notnewz.t   work
copy qsntest.t    work
copy bavtest.t    work
copy obsdfcnt.av  work
copy ageptest.t   work
copy ageztest.t   work
copy virshel.t    work
copy virpath.t    work
copy ziztest.t    work
copy fzttest.t    work
copy purgetst.t   work
copy wipetest.t   work
copy xcptest.t    work
copy xcztest.t    work
copy enc0test.t   work
copy enc1test.t   work
copy enc3test.t   work
copy encmixt.t    work
copy pzonlyt.t    work
copy zzonlyt.t    work
copy zipexet.exe  work
copy pipexet.t    work
copy zipexejt.exe work
copy pipexejt.t   work
copy w_in_avt.t   work
copy 1yrlast.t    work
copy work\*.* 4ren
if exist cslist.ndx attrib -r cslist.ndx
if exist cslist.srt attrib -r cslist.srt
if exist cslist.ndx del cslist.ndx
if exist cslist.srt del cslist.srt
if exist cslist1.ndx del cslist1.ndx
if exist cslist1.srt del cslist1.srt
fwkcs /u
fwkcs /v
fwkcs /u w11ref
fwkcs /u w37ref
fwkcs /u xflref
if exist uploads.rpt del uploads.rpt
if exist fwkupld.log del fwkupld.log
if exist dirconts    del dirconts
if exist telsysop    del telsysop
if exist junkb       del junkb
if exist junk        del junk
echo ----------------------------------------------------- >  dirconts
dir work >> dirconts
echo ----------------------------------------------------- >> dirconts
call do_test5 work\okptest.t    upload updesc
call do_test5 work\allnewzt.t   upload updesc
call do_test5 work\rnztest.t    upload updesc
call do_test5 work\redtest.t    upload updesc
call do_test5 work\duptest.t    upload updesc
call do_test5 work\1notnewz.t   upload updesc
call do_test5 work\qsntest.t    upload updesc
call do_test5 work\purgetst.t   upload updesc
call do_test5 work\w_in_avt.t   upload updesc
if not exist bavtest.t goto s0
fwkcs /a7.3b bavtest.t
:s0
fwkcs /v
call do_test5 work\bavtest.t    upload updesc
call do_test5 work\obsdfcnt.av  upload updesc
call do_test5 work\1yrlast.t    upload updesc
call do_test5 work\ageptest.t   upload updesc
call do_test5 work\ageztest.t   upload updesc
call do_test5 work\virshel.t    upload updesc
call do_test5 work\virpath.t    upload updesc
call do_test5 work\ziztest.t    upload updesc
call do_test5 work\fzttest.t    upload updesc
call do_test5 work\wipetest.t   upload updesc
call do_test5 work\xcptest.t    upload updesc
call do_test5 work\xcztest.t    upload updesc
call do_test5 enc0test.t
call do_test5 work\enc0test.t   upload updesc
fwkcs iyj,junk;h,msg;k1ke,enc;kf,fzt;g1,3 /de
call do_test5 work\enc1test.t   upload updesc
call do_test5 work\encmixt.t    upload updesc
fwkcs iyj,junk;h,msg;k3ke,enc;kf,fzt;g1,3 /de
call do_test5 work\enc3test.t   upload updesc
call do_test5 work\zipexet.exe  upload updesc
call do_test5 work\pipexet.t    upload updesc
call do_test5 work\zipexejt.exe upload updesc
call do_test5 work\pipexejt.t   upload updesc
fwkcs [e]z /de
call do_test5 work\pzonlyt.t    upload updesc
call do_test5 work\zzonlyt.t    upload updesc
fwkcs /1 whatsit.t fwkcsloo.kup
echo reply sans cs > shortrep.ly
type fwkcsloo.kup >> shortrep.ly
pkzip work\csquery.zip fwkcsloo.kup -om
call do_test5 work\csquery.zip  upload updesc
ren shortrep.ly fwkcsloo.kup
pkzip work\shrtrply.zip fwkcsloo.kup -om
call do_test5 work\shrtrply.zip upload updesc
echo 12345678     A3G> fwkcsloo.kup
echo reply sans cs > shortrep.ly
type fwkcsloo.kup >> shortrep.ly
pkzip work\badcs.zip -om fwkcsloo.kup
call do_test5 work\badcs.zip    upload updesc
ren shortrep.ly fwkcsloo.kup
pkzip work\shrtbdcs.zip -om fwkcsloo.kup
call do_test5 work\shrtbdcs.zip upload updesc
copy longcs.t fwkcsloo.kup
pkzip work\longcs.zip -om fwkcsloo.kup
call do_test5 work\longcs.zip   upload updesc
call do_test5 accepted\okptest.t
call do_test5 accepted\allnewzt.t
call do_test5 accepted\purgetst.t
call do_test5 fzttest.t
fwkcs /v
fwkcs /1sm cslist.srt multis
ren multis 1multis
ren multcnt.rpt 1multcnt.rpt
copy cslist.ndx 1cslist.ndx
copy cslist.srt 1cslist.srt
attrib -r cslist.ndx
attrib -r cslist.srt
del cslist.ndx
del cslist.srt
del cslist1.ndx
del cslist1.srt
fwkcs /u
fwkcs /v
fwkcs /u w11ref
fwkcs /u w37ref
fwkcs /u xflref
call do_test4 4ren\okptest.t
call do_test4 4ren\allnewzt.t
call do_test4 4ren\rnztest.t
call do_test4 4ren\redtest.t
call do_test4 4ren\duptest.t
call do_test4 4ren\1notnewz.t
call do_test4 4ren\qsntest.t
call do_test4 4ren\purgetst.t
call do_test4 4ren\w_in_avt.t
if not exist bavtest.t goto s1
fwkcs /a7.3b bavtest.t
:s1
fwkcs /v
call do_test4 4ren\bavtest.t
call do_test4 4ren\obsdfcnt.av
call do_test4 4ren\1yrlast.t
call do_test4 4ren\ageptest.t
call do_test4 4ren\ageztest.t
call do_test4 4ren\virshel.t
call do_test4 4ren\virpath.t
call do_test4 4ren\ziztest.t
call do_test4 4ren\fzttest.t
call do_test4 4ren\wipetest.t
call do_test4 4ren\xcptest.t
call do_test4 4ren\xcztest.t
call do_test4 4ren\enc0test.t
fwkcs a18bc,zcomb;f,##cellar;j,junkb;k1n2,1;o,oust;pwv,virdata; /db
call do_test4 4ren\enc1test.t
call do_test4 4ren\encmixt.t
fwkcs a18bc,zcomb;f,##cellar;j,junkb;k3n2,1;o,oust;pwv,virdata; /db
call do_test4 4ren\enc3test.t
call do_test4 4ren\zipexet.exe
call do_test4 4ren\pipexet.t
call do_test4 4ren\zipexejt.exe
call do_test4 4ren\pipexejt.t
fwkcs z[b] /db
call do_test4 4ren\pzonlyt.t
call do_test4 4ren\zzonlyt.t
fwkcs /v
fwkcs /1sm cslist.srt multis
dir work     >> dirconts
echo ----------------------------------------------------- >> dirconts
dir ##cellar >> dirconts
echo ----------------------------------------------------- >> dirconts
dir potvirus >> dirconts
echo ----------------------------------------------------- >> dirconts
dir ziz   >> dirconts
echo ----------------------------------------------------- >> dirconts
dir qsn   >> dirconts
echo ----------------------------------------------------- >> dirconts
dir trashold >> dirconts
echo ----------------------------------------------------- >> dirconts
dir bav   >> dirconts
echo ----------------------------------------------------- >> dirconts
dir old  >> dirconts
echo ----------------------------------------------------- >> dirconts
dir fzt  >> dirconts
echo ----------------------------------------------------- >> dirconts
dir enc  >> dirconts
echo ----------------------------------------------------- >> dirconts
dir accepted >> dirconts
echo ----------------------------------------------------- >> dirconts
dir 4ren >> dirconts
echo ----------------------------------------------------- >> dirconts
goto end
:q0
@echo off
echo -
echo -
echo -  this place is already in use...
echo -  please start in a newly made, clean subdirectory.
goto quit1
:help0
@echo off
echo -
echo -
echo -   i need access to FWKCS.COM Version 1.15,
echo -   either in current directory or via path.
:quit1
echo -
echo -
echo -                    i quit
echo -
echo -
echo -   to clean up, do  FWKCLEAR "<enter>"
echo -
goto ll
:end
if not exist no_av goto l1
@echo off
echo -
echo -  did not make PKZIP AV_stamped files.
echo -
echo -  to test some of the AV_stamp handling procedures, use a copy of
echo -  Phil Katz's PKZIP(R) which can make AV_stamped zipfiles.
echo -
:l1
@echo off
echo - created many files and subdirectories; to clean up, run  FWKCLEAR "<enter>"
echo -
echo - Re use for electronic bulletin boards (Auxiliary Function 5), see especially:
echo -
echo - FWKUPLD.LOG  log of "uploads".
echo - UPLOADS.RPT  collected messages (with names of files for use in customizing
echo -                the messages), and some revised dummy upload descriptions.
echo - DIRCONTS  listing of files in WORK subdirectory before and
echo -             after using those files as "uploads",
echo -           listing of files in the subdirectories after run.
echo - JUNK  deletions from zipfiles, with contents_signatures and names.
echo - TELSYSOP  virus warnings.
echo -
echo -   accepted files were moved from WORK to ACCEPTED,
echo -   rejected files were moved from WORK to other target subdirectories;
echo -   note that some accepted zipfiles have been shortened by removing
echo -     unwanted material.
echo -   CSLIST.* was saved as 1CSLIST.*, to prevent interference with second run.
echo -
echo - a second run, with new CSLIST*.*, was used to "exercise" Auxiliary Function
echo -   4, renaming rejected files: see subdirectory 4REN (listed in DIRCONTS).
echo -   JUNKB lists deletions from zipfiles;
echo -   VIA_OUST lists OUSTs provided for deletions via  PKZIP file -d @oust .
echo -
:ll
if exist getfwkcs.bas del getfwkcs.bas
:z1
if not "%2" == "..1.15" goto zz
if exist QUERYFLA.GUP attrib -r QUERYFLA.GUP > nul
if exist QUERYFLA.GUP del QUERYFLA.GUP > nul
:zz
